Bug 63358

Summary: nrwt: remove --use-apache from the command line
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: New BugsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, jamesr, mihai, ojan, tony, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Dirk Pranke 2011-06-24 15:13:24 PDT
nrwt: remove --use-apache from the command line
Comment 1 Dirk Pranke 2011-06-24 15:23:06 PDT
Created attachment 98549 [details]
Patch
Comment 2 Adam Barth 2011-06-28 18:20:32 PDT
Comment on attachment 98549 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=98549&action=review

> Tools/Scripts/webkitpy/layout_tests/port/base.py:848
> +        """Override if your port uses something other than Apache for serving
> +        web pages."""

I'd skip this docstring

> Tools/Scripts/webkitpy/layout_tests/port/chromium_win.py:58
> +    USES_APACHE = False

This appears to be unused.
Comment 3 Dirk Pranke 2011-07-06 14:46:31 PDT
Committed r90503: <http://trac.webkit.org/changeset/90503>
Comment 4 Mihai Parparita 2011-07-06 16:37:21 PDT
Reverted r90503 for reason:

Makes Chromium Windows canary bots hang

Committed r90514: <http://trac.webkit.org/changeset/90514>
Comment 5 Dirk Pranke 2011-07-06 19:23:33 PDT
Created attachment 99914 [details]
Patch
Comment 6 Dirk Pranke 2011-07-06 19:24:28 PDT
Comment on attachment 99914 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=99914&action=review

> Tools/Scripts/webkitpy/layout_tests/port/base.py:234
> +            return self._executive.run_command([path, "-v"], env=env, return_exit_code=True) == 0

This change fixes the hang on windows. Note that I had to add the env keyword param to executive.run_command() for this to work.
Comment 7 Dirk Pranke 2011-07-06 19:25:23 PDT
Comment on attachment 99914 [details]
Patch

no unit tests added for executive.run_command, although there probably should be one. I didn't add a test for this chromium_win either, because it would involve a bunch of mocking and I was feeling lazy.
Comment 8 Adam Barth 2011-07-06 19:26:26 PDT
Comment on attachment 99914 [details]
Patch

Ok.
Comment 9 WebKit Review Bot 2011-07-06 19:50:00 PDT
Comment on attachment 99914 [details]
Patch

Clearing flags on attachment: 99914

Committed r90527: <http://trac.webkit.org/changeset/90527>
Comment 10 WebKit Review Bot 2011-07-06 19:50:05 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 James Robinson 2011-07-10 22:32:00 PDT
Added = TIMEOUT lines to test_expectations in http://trac.webkit.org/changeset/90718
Comment 13 James Robinson 2011-07-10 23:40:26 PDT
Adding those = TIMEOUT lines seemed to just make a different set of tests time out, so I removed those.  At this point I'm suspecting an issue with the bot (http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Win7) but I'm not able to do anything about it right now.
Comment 14 Mihai Parparita 2011-07-11 10:55:48 PDT
(In reply to comment #13)
> Adding those = TIMEOUT lines seemed to just make a different set of tests time out, so I removed those.

Note that's because of the --exit-after-n-crashes-or-timeouts flag, which meant that we stopped running tests after 20 unexpected timeouts.
Comment 15 Dirk Pranke 2011-08-16 16:38:42 PDT
re-closing this.